# <shell.nix>
{ pkgs ? import <nixpkgs> {}}:

let
  rust_overlay = import (builtins.fetchTarball "https://github.com/oxalica/rust-overlay/archive/master.tar.gz");
  pkgs = import <nixpkgs> { overlays = [ rust_overlay ]; };
  rustnightly = (pkgs.rust-bin.nightly.latest.default.override {
    extensions = [
      "rust-src"
    ];
  });
in
pkgs.mkShell {
  buildInputs = with pkgs; [
    rustnightly
    rust-analyzer
    bacon
    pkg-config
    openssl
  ];
}
